commit 29ef8ea6416b03f03a430c961cd3f3c93e03d0a1
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Tue Dec 2 10:50:41 2025

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 7363757dfb4..69de5c69144 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,25 @@
+2025-12-01  Christophe Lyon  <christophe.lyon@linaro.org>
+
+	Backported from master:
+	2025-12-01  Christophe Lyon  <christophe.lyon@linaro.org>
+
+	PR target/122858
+	* config/arm/constraints.md (Ph): New constraint.
+	* config/arm/mve.md (mve_asrl_imm, mve_lsll_imm): Fix constraints
+	of operand 1 and handle 32 as special shift amount.
+
+2025-12-01  Richard Earnshaw  <rearnsha@arm.com>
+
+	Backported from master:
+	2025-05-07  Richard Earnshaw  <rearnsha@arm.com>
+
+	PR target/110796
+	PR target/118446
+	* config/arm/arm.h (REVERSIBLE_CC_MODE): FP modes are only
+	reversible if flag_finite_math_only.
+	* config/arm/arm.cc (arm_select_cc_mode): Return CCFPmode for all
+	FP comparisons if flag_finite_math_only.
+
 2025-11-28  Avinash Jayakar  <avinashd@linux.ibm.com>
 
 	PR tree-optimization/122126
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 112e13c0bf3..0564cdc98af 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20251201
+20251202
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 0b88bf9d42f..334b1689445 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,21 @@
+2025-12-01  Christophe Lyon  <christophe.lyon@linaro.org>
+
+	Backported from master:
+	2025-12-01  Christophe Lyon  <christophe.lyon@linaro.org>
+
+	PR target/122858
+	* gcc.target/arm/mve/pr122858.c: New test.
+
+2025-12-01  Richard Earnshaw  <rearnsha@arm.com>
+
+	Backported from master:
+	2025-05-07  Richard Earnshaw  <rearnsha@arm.com>
+
+	PR target/110796
+	PR target/118446
+	* gcc.target/arm/armv8_2-fp16-arith-1.c: Adjust due to no-longer
+	emitting VCMPE when -ffast-math..
+
 2025-11-28  Daniele Sahebi  <daniele@mkryss.me>
 
 	Backported from master:
diff --git a/libstdc++-v3/ChangeLog b/libstdc++-v3/ChangeLog
index d3f2c64201f..4ffbc6b7261 100644
--- a/libstdc++-v3/ChangeLog
+++ b/libstdc++-v3/ChangeLog
@@ -1,3 +1,15 @@
+2025-12-02  Patrick Palka  <ppalka@redhat.com>
+
+	Backported from master:
+	2025-12-01  Patrick Palka  <ppalka@redhat.com>
+
+	PR libstdc++/122921
+	* include/std/flat_map (_Flat_map_impl::_Iterator::value_type):
+	Remove const from key_type to make consistent with the
+	container's value_type.
+	* testsuite/23_containers/flat_map/1.cc (test09): New test.
+	* testsuite/23_containers/flat_multimap/1.cc (test09): New test.
+
 2025-11-28  Patrick Palka  <ppalka@redhat.com>
 
 	Backported from master:

